# $Revision: 1.69 $, $Date: 2007/09/05 13:09:41 $
#
# Conditional build
%bcond_without	single		# without single precision library
#
Summary:	Fast Fourier Transform library
Summary(pl.UTF-8):	Biblioteka z funkcjami szybkiej transformaty Fouriera
Summary(pt_BR.UTF-8):	Biblioteca fast Fourier transform
Name:		fftw
Version:	2.1.5
Release:	5
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.fftw.org/pub/fftw/%{name}-%{version}.tar.gz
# Source0-md5:	8d16a84f3ca02a785ef9eb36249ba433
Patch0:		%{name}-info.patch
Patch1:		%{name}-link.patch
URL:		http://www.fftw.org/
BuildRequires:	autoconf
BuildRequires:	automake
# to detect proper F77 name mangling for fortran binding functions
BuildRequires:	gcc-g77
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FFTW is a collection of fast C routines for computing the Discrete
Fourier Transform in one or more dimensions. It includes complex,
real, and parallel transforms, and can handle arbitrary array sizes
efficiently. This RPM package includes the single and double precision
FFTW uniprocessor and threads libraries.

%description -l pl.UTF-8
FFTW jest zbiorem szybkich funkcji C do obliczania dyskretnych
transformat Fouriera w jednym lub więcej wymiarach. Zawiera również
zespolone, rzeczywiste oraz równoległe transformaty i potrafi wydajnie
radzić sobie z tablicami o dowolnych rozmiarach. Ten pakiet RPM
zawiera wersje FFTW o pojedyńczej i podwójnej precyzji dla architektur
jednoprocesorowych oraz z obsługą wątków.

%description -l pt_BR.UTF-8
FFTW é uma coleção de rotinas rápidas em C para computar a Discrete
Fourier Transform em uma ou mais dimensões. Incluindo transformações
complexas, reais e paralelas, também pode manipular vetores de tamanho
arbitrário eficientemente. Esse pacote RPM inclui bibliotecas FFTW com
suporte a threads, normal e dupla precisão (Os arquivos de precisão
normal tem um prefixo "s").

%package devel
Summary:	Header files and development documentation for FFTW library
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do biblioteki FFTW
Summary(pt_BR.UTF-8):	Headers e documentação do pacote FFTW
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the additional header files and documentation
you need to develop programs using the FFTW (fast Fourier transform
library).

%description devel -l pl.UTF-8
Ten pakiet zawiera dodatkowe pliki nagłówkowe oraz dokumentację do
tworzenia programów używających biblioteki FFTW (fast Fourier
transform library).

%description devel -l pt_BR.UTF-8
Este pacote contém documentação e headers adicionais para desenvolver
programas usando a FFTW.

%package static
Summary:	Static FFTW libraries
Summary(pl.UTF-8):	Statyczne biblioteki FFTW
Summary(pt_BR.UTF-8):	bibliotecas estáticas do pacote FFTW
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FFTW libraries.

%description static -l pl.UTF-8
Statyczne biblioteki FFTW.

%description static -l pt_BR.UTF-8
Este pacote contém as bibliotecas estáticas do pacote FFTW.

%package single
Summary:	Single-precision Fast Fourier Transform libraries
Summary(pl.UTF-8):	Biblioteki szybkiej transformaty Fouriera pojedynczej precyzji
Group:		Libraries
Conflicts:	fftw < 2.1.5-4

%description single
Single-precision Fast Fourier Transform libraries.

%description single -l pl.UTF-8
Biblioteki szybkiej transformaty Fouriera pojedynczej precyzji.

%package single-devel
Summary:	Header files for single-precision FFTW libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek FFTW pojedynczej precyzji
Group:		Development/Libraries
Requires:	%{name}-single = %{version}-%{release}

%description single-devel
Header files for single-precision FFTW libraries.

%description single-devel -l pl.UTF-8
Pliki nagłówkowe bibliotek FFTW pojedynczej precyzji.

%package single-static
Summary:	Static single-precision FFTW libraries
Summary(pl.UTF-8):	Statyczne biblioteki FFTW pojedynczej precyzji
Group:		Development/Libraries
Requires:	%{name}-single-devel = %{version}-%{release}

%description single-static
Static single-precision FFTW libraries.

%description single-static -l pl.UTF-8
Statyczne biblioteki FFTW pojedynczej precyzji.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# don't use pregenerated file
rm -f fftw/config.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%if %{with single}
install -d build-single
cd build-single
../%configure \
%ifarch %{ix86}
	--enable-i386-hacks \
%endif
	--enable-shared \
	--enable-threads \
	--enable-float \
	--enable-type-prefix \
	--%{!?debug:dis}%{?debug:en}able-debug

%{__make}
cd ..
%endif

install -d build-double
cd build-double
../%configure \
%ifarch %{ix86}
	--enable-i386-hacks \
%endif
	--enable-shared \
	--enable-threads \
	--%{!?debug:dis}%{?debug:en}able-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build-single install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C build-double install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post	single -p /sbin/ldconfig
%postun	single -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfftw.so.*.*.*
%attr(755,root,root) %{_libdir}/libfftw_threads.so.*.*.*
%attr(755,root,root) %{_libdir}/librfftw.so.*.*.*
%attr(755,root,root) %{_libdir}/librfftw_threads.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfftw.so
%attr(755,root,root) %{_libdir}/libfftw_threads.so
%attr(755,root,root) %{_libdir}/librfftw.so
%attr(755,root,root) %{_libdir}/librfftw_threads.so
%{_libdir}/libfftw.la
%{_libdir}/libfftw_threads.la
%{_libdir}/librfftw.la
%{_libdir}/librfftw_threads.la
%{_includedir}/fftw*.h
%{_includedir}/rfftw*.h
%{_infodir}/fftw.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libfftw.a
%{_libdir}/libfftw_threads.a
%{_libdir}/librfftw.a
%{_libdir}/librfftw_threads.a

%files single
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsfftw.so.*.*.*
%attr(755,root,root) %{_libdir}/libsfftw_threads.so.*.*.*
%attr(755,root,root) %{_libdir}/libsrfftw.so.*.*.*
%attr(755,root,root) %{_libdir}/libsrfftw_threads.so.*.*.*

%files single-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsfftw.so
%attr(755,root,root) %{_libdir}/libsfftw_threads.so
%attr(755,root,root) %{_libdir}/libsrfftw.so
%attr(755,root,root) %{_libdir}/libsrfftw_threads.so
%{_libdir}/libsfftw.la
%{_libdir}/libsfftw_threads.la
%{_libdir}/libsrfftw.la
%{_libdir}/libsrfftw_threads.la
%{_includedir}/sfftw*.h
%{_includedir}/srfftw*.h

%files single-static
%defattr(644,root,root,755)
%{_libdir}/libsfftw.a
%{_libdir}/libsfftw_threads.a
%{_libdir}/libsrfftw.a
%{_libdir}/libsrfftw_threads.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fftw.spec,v $
Revision 1.69  2007/09/05 13:09:41  baggins
- rel 5

Revision 1.68  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.67  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.66  2007/01/28 21:10:01  glen
- only cvs changelog

Revision 1.65  2006/12/31 03:05:39  qboosh
- added link patch
- changed double build to using two builddirs
- separated -single* packages (like in fftw3.spec)
- BR: gcc-g77 (to detect name mangling scheme for binding functions)
- release 4

Revision 1.64  2006/08/12 09:28:44  ankry
- formatting

Revision 1.63  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.62  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.61  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.60  2005/06/26 18:46:10  qboosh
- no "libraries" in -devel

Revision 1.59  2005/06/26 17:29:53  qboosh
- unified

Revision 1.58  2005/06/26 16:21:05  freetz
- strict internal deps

Revision 1.57  2005/06/26 16:18:58  freetz
- simplified, rel.3

Revision 1.56  2005/06/25 12:43:57  blekot
- build fix

Revision 1.55  2005/06/25 12:29:39  blekot
- description updated
- single precision is now build in subirectory

Revision 1.54  2005/06/24 22:12:21  blekot
- my commit reverted --> BR: lam is important to compile FFTW MPI library, but
  we don't need FFTW MPI library at this time

Revision 1.53  2005/06/24 21:01:31  blekot
- cosmetics

Revision 1.52  2005/06/24 16:31:45  blekot
- single precision library added (needed by alsa-module-synth)
- bcond added
- rel 2
- STBR/test

Revision 1.51  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.50  2004/08/31 06:40:52  snurf
- typos / formatting / etc.

Revision 1.49  2004/08/04 06:22:10  ankry
- typo, s/fourier/Fourier/

Revision 1.48  2004/08/02 14:31:47  pluto
- reverted.

Revision 1.46  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.45  2003/06/09 06:04:16  aflinta
- added md5sum

Revision 1.44  2003/05/25 05:47:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.43  2003/03/25 10:31:54  trojan
- updated to 2.1.5
- added lt/ac/am macros

Revision 1.42  2003/03/20 11:48:25  trojan
- updated to 2.1.4

Revision 1.41  2003/03/20 08:09:13  misiek
- fix build

Revision 1.40  2003/03/01 22:23:50  radek
- copied install-sh and config.sub from _datadir/automake (athlon problems)

Revision 1.39  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.38  2002/10/24 09:21:07  kloczek
- merge translations from Conectiva.

Revision 1.37  2002/05/15 06:11:00  kloczek
- release 10.

Revision 1.36  2002/05/14 19:10:01  qboosh
- fixed typos in pl description, removed false information about single
  precision libraries from both descriptions

Revision 1.35  2002/05/13 20:28:25  filon
- correct polish desription (have not been translated correctly)
- release 9

Revision 1.34  2002/04/25 16:17:57  arturs
- fixed a small typo

Revision 1.33  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/02/19 18:53:33  gotar
- %desc

Revision 1.31  2002/01/26 09:41:37  kloczek
- release 8.

Revision 1.30  2002/01/25 18:52:44  filon
- use ix86 macro

Revision 1.29  2002/01/18 02:12:56  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/08/19 16:58:30  kloczek
- spec adapterized.

Revision 1.27  2001/08/11 16:04:04  blues
- Release 7
- configure2_13
NOTE: there is possibility to turn-on fortran support

Revision 1.26  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/05/10 14:24:12  baggins
- release 6
- --enable-type-prefix removed again ;)

Revision 1.23  2001/05/08 22:38:09  kloczek
- release 5,
- --enable-type-prefix is back,
- enable/disable debug %{debug} conditionaly.

Revision 1.22  2001/01/27 22:40:47  kloczek
- release 4: added Summary(pl).

Revision 1.21  2001/01/27 22:29:38  qboosh
- ldconfig in post/postun scripts

Revision 1.20  2001/01/22 06:42:13  kloczek
- release 3,
- build without --enable-type-prefix and with --disable-debug.

Revision 1.19  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.18  2000/06/18 23:10:28  kloczek
- release 2.

Revision 1.17  2000/06/09 07:54:40  kloczek
- more %{__make} macros.

Revision 1.16  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.15  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.14  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.13  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.12  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 17:15:17  arturs
- added %description -l pl

Revision 1.10  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.9  1999/11/08 18:21:20  kloczek
- updated to 2.1.3,
- new Source url and URL.

Revision 1.8  1999/09/24 10:57:28  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.7  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.6  1999/08/05 14:47:46  kloczek
- fix: {un}registering info pages must be in devel (not in main package).

Revision 1.5  1999/08/05 14:17:27  kloczek
- reorder in header.

Revision 1.4  1999/08/05 14:15:50  kloczek
- fix: added missing $RPM_BUILD_ROOT in %install,
- added info patch with adding fftw to info index,
- added "Prereq: /sbin/install-info" rule,
- added {un}registering fftw info page in %post, %preun.

Revision 1.3  1999/08/03 23:34:46  kloczek
- added gzipping info pages.

Revision 1.2  1999/08/03 23:32:48  kloczek
- completly rewrited in PLD style (compiles now).
